/**
 ** @author: Ben Y. Zhao (ravenben@cs.berkeley.edu)
 ** @version: CVS Version: $Revision: 1.2 $  Date: $Date: 1999/09/09 23:29:38 $
 ** (c) 2000 by Ben Yanbin Zhao and the Regents of the University of California
 **/

package ninja.xset;

import java.io.*;

public class ExtensionFilter implements FilenameFilter {
  private String extension;
  public ExtensionFilter (String ext) {
    extension = "." + ext;
  }
  public boolean accept(File dir, String name) {
    return name.endsWith(extension);
  }
}
